View Issue Details

IDProjectCategoryView StatusLast Update
0004925Talermechant backendpublic2021-09-02 18:22
ReporterMarcello Stanisci Assigned ToMarcello Stanisci  
PriorityhighSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.3Fixed in Version0.3 
Summary0004925: Failure when returning /history data
DescriptionThe callback pd_cb does not append correctly data to the json array returned
in /history's response.

It does append data correctly to it only at the first iteration. Starting from
the second iteration, the array is (null) (as shown by json_dumps())
TagsNo tags attached.

Activities

Marcello Stanisci

2017-02-27 11:44

viewer   ~0011867

Fixed in 70fb2c9.

Related Changesets

merchant: master 70fb2c92

2017-02-27 11:43:48

Marcello Stanisci

Details Diff
Fix 0004925. Affected Issues
0004925
mod - src/backend/taler-merchant-httpd_history.c Diff File
mod - src/backenddb/plugin_merchantdb_postgres.c Diff File
mod - src/lib/test_merchant_api.c Diff File

Issue History

Date Modified Username Field Change
2017-02-25 22:09 Marcello Stanisci New Issue
2017-02-25 22:09 Marcello Stanisci Status new => assigned
2017-02-25 22:09 Marcello Stanisci Assigned To => Marcello Stanisci
2017-02-25 22:09 Marcello Stanisci Priority normal => high
2017-02-27 11:44 Marcello Stanisci Status assigned => resolved
2017-02-27 11:44 Marcello Stanisci Resolution open => fixed
2017-02-27 11:44 Marcello Stanisci Note Added: 0011867
2017-04-02 00:47 Christian Grothoff Product Version => git (master)
2017-04-02 00:47 Christian Grothoff Fixed in Version => 0.3
2017-04-02 00:47 Christian Grothoff Target Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed
2021-09-02 18:22 Marcello Stanisci Changeset attached => Taler-merchant master 70fb2c92